USN-482-1: OpenOffice.org vulnerability

11 July 2007

OpenOffice.org vulnerability

Releases

Details

John Heasman discovered that OpenOffice did not correctly validate the
sizes of tags in RTF documents. If a user were tricked into opening a
specially crafted document, a remote attacker could execute arbitrary
code with user privileges.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 7.04
  • openoffice.org-core - 2.2.0-1ubuntu4
Ubuntu 6.10
  • openoffice.org-core - 2.0.4-0ubuntu6
Ubuntu 6.06
  • openoffice.org2-base - 2.0.2-2ubuntu12.4
  • openoffice.org-core - 2.0.2-2ubuntu12.4

After a standard system upgrade you need to restart OpenOffice, or
reboot your computer, to effect the necessary changes.

References